Bug 469189 - Review Request: system-autodeath - Automatically disable system default route on a specific date.
Review Request: system-autodeath - Automatically disable system default rout...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 10:35 EDT by seth vidal
Modified: 2013-07-28 21:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-20 15:43:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description seth vidal 2008-10-30 10:35:51 EDT
Spec URL: http://skvidal.fedorapeople.org/system-autodeath/system-autodeath.spec
SRPM URL: http://skvidal.fedorapeople.org/system-autodeath/system-autodeath-0.2-0.src.rpm
Description: 
system-autodeath is a cron job that runs daily, checking the current  
time versus a configured death date for the machine. Within one week
of this date the system will emit log notices to syslog.alert notifying
that the system with autodie on a specific date. On the date the system
will have its default route deleted. It will continue to do this
everyday until someone does something about it.
Comment 1 Tim Lauridsen 2008-10-30 11:34:43 EDT
i will review this one
Comment 2 Tim Lauridsen 2008-10-30 11:49:44 EDT
Preliminary stuff:

rpmlint system-autodeath-0.2-0.src.rpm 
system-autodeath.src: W: no-%build-section
system-autodeath.src: W: summary-ended-with-dot Automatically disable system default route on a specific date.
system-autodeath.src: W: no-version-in-last-changelog
system-autodeath.src: W: strange-permission system-autodeath.spec 0600
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

* Add an empty %build section
* remove ending '.' in summary
* all changlog entries need to be in same format (with / without version)
Comment 3 seth vidal 2008-10-30 12:04:54 EDT
Uploaded a new spec, same location.
Uploaded a new srpm.

Not putting the frelling changelog versions on so that one can go hang itself :)
Comment 4 Tim Lauridsen 2008-10-31 08:35:38 EDT
# rpmlint Download/system-autodeath-0.2-1.src.rpm 
system-autodeath.src: W: no-version-in-last-changelog
system-autodeath.src: W: strange-permission system-autodeath.spec 0600
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These should be OK.

# rpmlint ~/rpmbuild/RPMS/noarch/system-autodeath-0.2-1.noarch.rpm 
system-autodeath.noarch: W: non-conffile-in-etc /etc/sysconfig/system-autodeath.conf
system-autodeath.noarch: W: no-version-in-last-changelog

/etc/sysconfig/system-autodeath.conf should be a config file in the %files section

(. not checked, * = ok, X = not OK)

MUST:
* Package is matching naming guidelines.
* spec file in named %{name}.spec 
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible have the right good license shortname : GPLv2+
* License file must be in %doc (it it exists)
* Spec file is written in American English
* Spec file is legible.
* Sources match upstream.
  MD5SUM:
	ea889c8a377cac44361576f6112f2868  /home/tim/rpmbuild/SOURCES/system-autodeath-0.2.tar.gz
	ea889c8a377cac44361576f6112f2868  /home/tim/Download/system-autodeath-0.2.tar.gz


* summary and description fine
* correct buildroot
X %{?dist} is used
* license text included in package and marked with %doc
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager/Vendor/Distribution/Copyright tags not used
* Summary tag does not end in a period
* Package compiles and build into RPM's on : i386 etc.
* no Exclude Arch 
* BuildRequires for all build requerements (- the ones on the Exception list)
* no locales
* no shared libs 
* Package own all created directories.
* No duplicate files in %files 
* Every %files section includes a %defattr(...) line
* Package has a %clean with a rm -rf %{buildroot} or $RPM_BUILD_ROOT
* consistently use of macros
* Package contains code or or permissable content.
* No large documentation
* files in %doc dont affect runtime.
* no header files
* no static libs
* package has no pkgconfig (.pc) files 
* no -devel subpackage 
* no ..la libtool archives
* not a gui application 
* package don't own files and dirs owned by other packages.
* %install starts with an rm -rf %{buildroot} 
* rpm package filenames is in valid UTF-8.
* no Rpath 
* no config files
* no %makeinstall used
* no Requires(pre,post)

Problems.
  %{?dist} is missing from release tag.
  /etc/sysconfig/system-autodeath.conf should be a config file in the %files section
Comment 5 Matthew Miller 2008-11-03 11:26:37 EST
Tim's package review comments look correct to me. I have a few concerns which basically amount to documentation and features.

Documentation: The descriptive paragraph duplicated in the spec file, README, and man page has a typo: "notifying that the system with autodie on a specific date" should be "will autodie". (Although I'd actually like to see the word "autodie" replaced with "remove itself from the network" -- no need to go out of our way to scare people.) Also, "everyday" should be "every day".

There should also be a descriptive comment (maybe the same paragraph yet again?) in system-autodeath.conf explaining what's okay there. And, it'd be nice if there were some off values like "disabled" that could be used.

I'm also a little concerned about the default date 2009-12-01 in the current config file. I think it should either be more conservative by default or based on the Fedora release the package is built for. At the current rate, Fedora 10 is likely to be maintained for a month or two beyond Dec 2009. So, something like: Fedora 8: 2009-02-25; Fedora 9: 2009-08-25; Fedora 10: 2010-02-25; etc. This would require a little vigilance from the package maintainer as schedules change, but would make the package useful out of the box.

Alternately, one crazy idea would be to make the default be based on the file date of /etc/fedora-release (at package build time) + 18 months. I know you'll hate that but throwing it out there. :)

Failing that, the default should be something like "package build time + 4 years". The last thing we want is this thing going off by accident on a supported system.
Comment 6 seth vidal 2008-11-03 11:57:28 EST
Fixed the typos and changed 'autodie' phrase. New description is:

system-autodeath is a cron job that runs daily, checking the current
time versus a configured death date for the machine. Within one week
of this date the system will emit log notices to syslog.alert notifying
that the system will remove its default network route on a specific date. 
On the date the system will have its default route deleted. It 
will continue to do this every day until someone does something about it.

With regard to the timing:

1. I'll make it a separate source in the config so it is easy to change
2. this pkg will not be installed by default so it's not a risk to anyone
3. basing the date on other values is a bad plan - since we've had to replace fedora-release in the last 2 releases (f8 and f9) and we're not changing the EOL for them b/c of the fedora-release rebuild.
4. I'll bump it to 2010-01-15.
Comment 7 Tim Lauridsen 2009-01-06 05:08:13 EST
Hi Seth, any comments for this ones.

Problems.
  %{?dist} is missing from release tag.
  /etc/sysconfig/system-autodeath.conf should be a config file in the %files
section
Comment 8 seth vidal 2009-01-06 09:31:25 EST
OKay fixed both and updated the spec file in the original location.
Comment 9 Tim Lauridsen 2009-01-07 03:45:44 EST
I must be blind :), cant see any changes at
http://skvidal.fedorapeople.org/system-autodeath/system-autodeath.spec
Comment 10 seth vidal 2009-01-07 07:23:24 EST
You can't see the %{?dist} and %config?
Comment 11 Tim Lauridsen 2009-01-07 08:59:19 EST
No.

<snip>
Name: system-autodeath
Version: 0.2
Release: 1
</snip>

<snip>
%files
%defattr(-, root, root)
%doc README COPYING
%{_sysconfdir}/cron.daily/system-autodeath.sh
%{_sysconfdir}/sysconfig/system-autodeath.conf
%{_mandir}/man8/system-autodeath.*

%changelog
</snip>
Comment 12 seth vidal 2009-01-07 09:06:48 EST
okay, I think something is very wrong here. I can definitely see it.

Can you download the file using wget and tell me if you see it there?

Maybe some sort of weird browser caching? Either that or you're behind a very laggy transparent proxy.
Comment 13 Tim Lauridsen 2009-01-07 09:11:42 EST
Look good now :)

APPROVED
Comment 14 Kevin Fenzi 2009-01-13 16:24:34 EST
Can you add a cvs template here?
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 15 seth vidal 2009-01-13 16:50:56 EST
New Package CVS Request
=======================
Package Name:  system-autodeath
Short Description: Automatically disable system default route on a specific date
Owners: skvidal
Branches: F10
InitialCC:
Comment 16 Kevin Fenzi 2009-01-13 16:55:08 EST
cvs done.
Comment 17 Peter Lemenkov 2010-11-20 15:43:07 EST
This was imported and built long ago - let's finally close this ticket.

Note You need to log in before you can comment on or make changes to this bug.